/*
 * debug.h
 */
#ifndef __DEBUG_H
#define __DEBUG_H

/* #define STANDALONE */

/*
 * Command strings
 */
#define CMD_DUMP       "dump"
#define CMD_DUMPTLB    "dumptlb"
#define CMD_FILL       "fill"
#define CMD_PROBE      "probe"
#define CMD_HELP       "help"
#define CMD_NOP        "nop"
#define CMD_QUIT       "quit"
#define CMD_STRINGS    "strings"

#define FALSE             0
#define TRUE              1

#define MAXBUFLEN         256

#define SW_BYTE           1
#define SW_HALFWORD       2
#define SW_WORD           4

/*
 * prototypes
 */

int dump(int argc, char **argv);
int dumptlb(int argc, char **argv);
int fill(int argc, char **argv);
int probe(int argc, char **argv);
int strings(int argc, char **argv);

#endif /* __DEBUG_H */
